#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>
#define SCREEN_WIDTH 128 // OLED display width, in pixels
#define SCREEN_HEIGHT 32 // OLED display height, in pixels
// Declaration for an SSD1306 display connected to I2C (SDA, SCL pins)
Adafruit_SSD1306 display(SCREEN_WIDTH, SCREEN_HEIGHT);

void setup_display() {
  display.begin(SSD1306_SWITCHCAPVCC, 0x3C);
  display.clearDisplay();
  display.display();                  // Update screen
  display.setTextSize(1);             // Normal 1:1 pixel scale
  display.setTextColor(WHITE,BLACK);  // Draw white text
  display.setCursor(0,0);             // Start at top-left corner
  display.println(F(Version));
  display.display(); // Update screen
  delay(1000);
  display.clearDisplay();
  display.display(); // Update screen
}

/********************************
  update frequency and step-size
********************************/
void display_freq_step() {

   long MHz = frequency/1000000;

   // convert frequency to floating point
   // adding 0.0000001 fixes a rounding error
   double freq = (double) frequency/1000000+0.0000001;

   // display frequency

 if (TRXmode != RX)
  { display.setTextColor(BLACK,WHITE);         // Invert Frequ Display  
  }
 else 
  {display.setTextColor(WHITE,BLACK);         // Normal Frequ Display 
  }      
     display.setTextSize(2);
     display.setCursor(12,10);                          // start at char 1, line 1 (10,10)
 if (MHz < 10) 
  { display.print(" ");                          
  } 
 if (MHz < 100) 
  { display.print(" ");                          
  } 
  display.print(freq, 3);              // 3 digit resolution

  display.setTextSize(0);
  display.print("MHz");
  display.display(); // Update screen

  display.setTextColor(WHITE,BLACK);         // Normal Frequ Display     
  display.display(); // Update screen

  display.setCursor(0,25);                          // start at char 1, line 2
  display.print("                    ");   
  display.display(); // Update screen
  
  // display step size
   switch (step_size) 
   {  case 1000:
       display.setCursor(87,25);
       display.print("*");
       break;
       
     case 10000:
       display.setCursor(75,25);
       display.print("*");
       break;
       
     case 100000:
       display.setCursor(63,25);
       display.print("*");
       break;
 
     case 1000000:
       display.setCursor(39,25);
       display.print("*");
       break;
   }

   display.display();
}
